net.sf.jasperreports.engine.type

## Enum SplitTypeEnum

- java.lang.Object
- - java.lang.Enum<SplitTypeEnum>
  - - net.sf.jasperreports.engine.type.SplitTypeEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SplitTypeEnum>, JREnum, NamedEnum

      public enum SplitTypeEnum
      extends java.lang.Enum<SplitTypeEnum>
      implements JREnum

  Version:
    $Id: SplitTypeEnum.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IMMEDIATE` The band is allowed to split anywhere, as early as needed, but not before at least one element being printed on the current page/column.
    `PREVENT` Prevents the band from splitting on first break attempt.
    `STRETCH` The band is allowed to split, but never within its declared height.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SplitTypeEnum` | `getByName(java.lang.String name)`
    `static SplitTypeEnum` | `getByValue(byte value)`
    `static SplitTypeEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static SplitTypeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SplitTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STRETCH

          public static final SplitTypeEnum STRETCH

      The band is allowed to split, but never within its declared height. This means the band splits only when its content stretches.

    - #### PREVENT

          public static final SplitTypeEnum PREVENT

      Prevents the band from splitting on first break attempt. On subsequent pages/columns, the band is allowed to split, to avoid infinite loops.

    - #### IMMEDIATE

          public static final SplitTypeEnum IMMEDIATE

      The band is allowed to split anywhere, as early as needed, but not before at least one element being printed on the current page/column.

  - ### Method Detail

    - #### values

          public static SplitTypeEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SplitTypeEnum c : SplitTypeEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SplitTypeEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getByName

          public static SplitTypeEnum getByName(java.lang.String name)

    - #### getByValue

          public static SplitTypeEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static SplitTypeEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com